Hello,

I am new to libical. I have run into a few build problems. I am using version 0.46. I am on Windoze using both cygwin and Visual Studio 2005 (aka vc8).

First the problems under cygwin: 0.44 builds just fine but 0.46 says:

config.status: error: cannot find the input file: zoneinfo/Makefile.in.

If I copy the Makefile.in from version 0.44 and (re)configure then I get a similar error:

config.status: error: cannot find the input file: Makefile.in.

If I copy that one from 0.44 and (re)configure then I get a similar error for the next Makefile.in it can't find, and so on.....

It looks to me like there has been some packaging error in the release of version 0.46. With all the Makefile.in files in place configure then failed with:

config.status: error: cannot find the input file: config.h.in.

At this point I gave up trying to build 0.46 with cygwin.

Now for the problem under VS: it says the dsp file for libical is corrupt and refuses to open it.  I get the same problem on vesion 0.44.

The README.win32 file talks about dsp files for VS6. This makes me wonder about WIN32 support. VS6 is ancient and has an unusable STL (most people replace it with the one from Dinkumware). I know that VS8 is also quite old but unfortunately this is the version I am stuck with. At least VC8 comes with a usable STL. So I would very much like to build libical using it. Has anyone else done this please?

Regards,

Andrew Marlow
___________________________________________________________
This e-mail may contain confidential and/or privileged information. If you are not the intended recipient (or have received this e-mail in error) please notify the sender immediately and delete this e-mail. Any unauthorised copying, disclosure or distribution of the material in this e-mail is prohibited.

Please refer to http://www.bnpparibas.co.uk/en/information/legal_information.asp?Code=ECAS-845C5H  for additional disclosures.